import { OnInit } from '@angular/core';
import { ConfigService, ElectronService } from 'terminus-core';
import { ToastrService } from 'ngx-toastr';
/** @hidden */
export declare class SyncConfigSettingsTabComponent implements OnInit {
    config: ConfigService;
    private toastr;
    private electron;
    private isUploading;
    private isDownloading;
    constructor(config: ConfigService, toastr: ToastrService, electron: ElectronService);
    ngOnInit(): void;
    private dateFormat;
    sync(isUploading: boolean): Promise<void>;
    viewGist(type: string, gist: string): void;
}
